package net.wanji.opt.dto.induce;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;
import lombok.NoArgsConstructor;
import net.wanji.opt.config.Double2TwoDecimalPlacesSerializer;

import java.util.List;

@NoArgsConstructor
@Data
public class GreenwaveDTO {

    @ApiModelProperty(name = "绿波编号")
    private Integer greenId;

    @ApiModelProperty(name = "绿波干线名称")
    private String greenName;


    @ApiModelProperty(name = "设计速度")
    private Double designSpeed;


    @ApiModelProperty(name = "当前策略")
    private Integer strategyId;

    @ApiModelProperty(name = "策略名称")
    private String strategyName;

    @ApiModelProperty(name = "绿波方向:1 南向北 2 西向东 3 北向南 4 东向西")
    private Integer dir;


    @ApiModelProperty(name = "执行时段")
    private String controlOptTimes;

    @ApiModelProperty(name = "最大速度")
    private Integer maxSpeed;

    @ApiModelProperty(name = "最小速度")
    private Integer minSpeed;

}
