package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author duanruiming
 * @date 2025/02/15 14:51
 * @description 策略管理-地图路口详情-策略锁定实体
 */
@Data
@ApiModel(value = "StrategyLockSendVO", description = "策略管理-地图路口详情-策略锁定实体")
public class StrategyLockSendVO {
    @ApiModelProperty(name = "路口ID",notes = "")
    private String crossId;
    @ApiModelProperty(name = "锁定时间",notes = "")
    private Double lockTime;
    @ApiModelProperty(name = "策略编号",notes = "")
    private String strategyNo;
}
