package net.wanji.opt.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.List;

/**
 * @author duanruiming
 * @date 2025/02/14 15:11
 * @description 策略管理-路口详情-优化策略返回实体
 */
@Data
@ApiModel(value = "StrategyNameCrossVO", description = "策略管理-路口详情-优化策略返回实体")
public class StrategyNameCrossVO {
    private String currentName;
    private String strategyNo;
    private List<Detail> details;

    @Data
    public static class Detail {
        private String strategyName;
        private String strategyNo;
    }
}
